﻿
namespace CodeSamples.Ch01_ServiceOrientedArchitecture
{

  /// <summary>
  /// Class representing the process of buying an item 
  /// from a store
  /// </summary>
  public class SalesclerkNoRefunds
  {
    /// <summary>
    /// Method to call when a customer is buying an item
    /// </summary>
    public void SellItem(string itemToSell, string nameOfPurchaser)
    {
      var price = GetItemPrice(itemToSell);
      GetPaymentFromCustomer(price);
    }

    /// <summary>
    /// Interacts with the customer to get payment
    /// </summary>
    private void GetPaymentFromCustomer(double amount)
    {
      //Get the payment from the customer
    }

    /// <summary>
    /// Lookup the price of the item and return it
    /// </summary>
    private double GetItemPrice(string itemToSell)
    {
      //lookup the price of the item and return it
      return 15.00;
    }
  }

}

