﻿using System;

namespace CodeSamples.Ch04_DependencyInjectionPrinciple.Listing07
{
  public interface ISecurityService
  {
    bool CanUserSellProduct(string username, Guid productId);
  }

  public interface IRepository
  {
    bool RemoveFromInventory(Guid productId, int quantity);
    void FinalizeSale(string salesPersonName, Guid productId, int quantity);
    bool IsUserActive(string username);
    bool DoesUserHavePermission(string username, Guid productId);
  }

}