﻿
namespace CodeSamples.Ch04_DependencyInjectionPrinciple.Listing19
{
  public class Program
  {
    public Program()
    {
      var parent = new ParentClass();
      parent.DoSomething();
    }
  }

  public interface IParentClass
  {
    void DoSomething();
  }

  public class ParentClass:IParentClass
  {
    public void DoSomething()
    {
      var dep = new DependencyClass();
      dep.DoSomethingElse();
    }
  }

  public interface IDependencyClass
  {
    void DoSomethingElse();
  }
  public class DependencyClass : IDependencyClass
  {
    public void DoSomethingElse()
    {
      //do the actual work
    }
  }

}