﻿namespace CodeSamples.Ch10_EstablishFoundation.Listing01
{

  /// <summary>
  /// Basic components of every view
  /// </summary>
  public interface IBaseView
  {

    /// <summary>
    /// This activates the given view in the region, 
    /// displaying the view.
    /// </summary>
    void SetActive();

    /// <summary>
    /// Makes this view invisible, but leaves it registered for 
    /// future activation
    /// </summary>
    void SetInActivate();
  }
}
