﻿using CodeSamples.Ch10_EstablishFoundation.Listing02;
using CodeSamples.Ch10_EstablishFoundation.Listing04;

namespace CodeSamples.Ch10_EstablishFoundation.Listing03
{
 
  /// <summary>
  /// This interface should be created in the Interfaced project
  /// </summary>
  public interface IShellFormController
  {
    IShellForm View { get; }
  }

  /// <summary>
  /// This class should be created in the Controllers project
  /// </summary>
  public class ShellFormController : IShellFormController
  {
    public IShellForm View { get; internal set; }
    public ShellFormController()
    {
      View = ServiceLocator.Resolve<IShellForm>();
    }
  }

}