﻿using System;
using System.Windows.Forms;

namespace CodeSamples.Ch11_RefactorToBasicServices.Listing02
{
  public class BusinessLogicClass
  {
    /// <summary>
    /// Example of a method that can be refactored to use
    /// the dialog service.
    /// </summary>
    public bool ValidateDateRange(DateTime pStartDate, DateTime pEndDate)
    {
      if (pEndDate < pStartDate)
      {
        MessageBox.Show("End Date must be after Start Date");
        return false;
      }
      return true;
    }
  }
}