﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.QualityTools.Testing.Fakes;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.Fakes;
using CodeSamplesUnitTests.AppendixA_VS2012.Listing10;

namespace CodeSamplesUnitTests.AppendixA_VS2012.Listing11
{
  [TestClass]
  public class UnitTest1
  {
    [TestMethod]
    public void PrepareToSave_2012_False()
    {
      using (ShimsContext.Create())
      {
        var dt = DateTime.Parse("1/1/2012");
        ShimDateTime.NowGet = () => dt;
        var ent = new BusinessEntity();
        ent.PrepareToSave();
        Assert.AreEqual(dt, ent.LastUpdatedDate);
      }
    }

  }
}
