﻿using System;
using ADODB;

namespace CodeSamples.Ch06_InitialSolutionReview.Listing05
{
  public class Person
  {
    public string Id { get; set; }
    public string Name { get; set; }
    public string ManagerName { get; set; }
  }

  public class Repository
  {
    public Person LoadFromDatabase(string personId, ADODB.Connection conn)
    {
      
      var cmd = new ADODB.Command();
      cmd.ActiveConnection = conn;
      cmd.CommandType = CommandTypeEnum.adCmdText;
      cmd.CommandText = "SELECT Id, Name, ManagerName WHERE PersonNumber = "
        + personId;

      object dummy = Type.Missing;
      var rs = cmd.Execute(out dummy, ref dummy, 0);
      if (!rs.EOF)
      {
        var person = new Person();
        person.Id = rs.Fields["Id"].ToString();
        person.Name = rs.Fields["Name"].ToString();
        person.ManagerName = rs.Fields["ManagerName"].ToString();
        rs.Close();
        return person;
      }
      rs.Close();
      return null;
    }
    
  }
}