﻿
namespace CodeSamples.Ch09_LegacySolutionCleanup.Listing04
{

  public class OrderEntryService
  {
    public OrderLineItem CreateInventoryOrderLineItem(
      InventoryItem pItem, Customer pCustomer,
      int pQuantity, float pPrice)
    {
      OrderLineItem result = null;
      if (pItem != null)
      {
        if (pCustomer != null)
        {
          if (pQuantity > 0)
          {
            if (!pItem.Discontinued)
            {
              if (pPrice > 0)
              {
                if (!pItem.Discontinued)
                {
                  result = new OrderLineItem(
                    pItem, pQuantity, pPrice);
                }
              }
              else
              {
                if (pCustomer.AllowFreeSamples)
                {
                  if (pItem.FreeSamplesAllowed)
                  {
                    result = new OrderLineItem(
                      pItem, pQuantity, pPrice);
                  }
                }

              }
            }
          }
        }
      }
      return result;
    }

  }

  public class InventoryItem
  {
    public bool Discontinued { get; set; }
    public bool FreeSamplesAllowed { get; set; }
  }

  public class OrderLineItem
  {
    public OrderLineItem(InventoryItem item,
      int quanty, float price)
    {

    }
  }

  public class Customer
  {
    public bool AllowFreeSamples { get; set; }
  }
}
