﻿using System;

namespace CodeSamples.Ch09_LegacySolutionCleanup.Listing06
{

  public class FormController
  {
    public OrderLineItem CreateInventoryOrderLineItem(InventoryItem pItem,
            Customer pCustomer, int pQuantity, float pPrice)
    {
      if (pItem == null || pCustomer == null || pItem.Discontinued
        || (pQuantity <= 0
        && !FreeSampleAllowed(pCustomer, pItem))) 
        throw  new ArgumentException("Invalid Arguments");
      return new OrderLineItem(pItem, pQuantity, pPrice);
    }

    internal bool FreeSampleAllowed(Customer pCustomer, InventoryItem pItem)
    {
      return pCustomer.AllowFreeSamples && pItem.FreeSamplesAllowed;
    }

  }

  public class InventoryItem
  {
    public bool Discontinued { get; set; }
    public bool FreeSamplesAllowed { get; set; }
  }

  public class OrderLineItem
  {
    public OrderLineItem(InventoryItem item,
      int quanty, float price)
    {

    }
  }

  public class Customer
  {
    public bool AllowFreeSamples { get; set; }
  }
}