﻿using System.Windows.Forms;
using CodeSamples.Ch10_EstablishFoundation.Listing01;

namespace CodeSamples.Ch10_EstablishFoundation.Listing02
{

  /// <summary>
  /// This interface should be created in the Interfaces project
  /// </summary>
  public interface IShellForm : IBaseView
  {
    //initially, this interface can be empty
  }

  public class ShellForm : Form, IShellForm
  {
    /// <summary>
    /// This activates the given view in the region, 
    /// displaying the view.
    /// </summary>
    public void SetActive()
    {
      //do nothing for main shell
    }

    /// <summary>
    /// Makes this view invisible, but leaves it registered for 
    /// future activation
    /// </summary>
    public void SetInActivate()
    {
      //do nothing for main shell
    }

    //the rest of the legacy codebehind code goes here
  }
}
