﻿using System;
using System.Linq;
using CodeSamples.Ch12_RefactorToAdvancedServices.Listing04;

namespace CodeSamples.Ch12_RefactorToAdvancedServices.Listing05
{

  public class CouponDistributor
  {
    private ReengineeringEntities _context;

    public CouponDistributor()
    {
      _context = new ReengineeringEntities();
    }

    public void SendCouponToNewUsers(string pFirstName)
    {
      var people = (from p in _context.People
                    where p.DateJoined == DateTime.Today
                          && p.MembershipCancelled == false
                    select p);
      foreach (var person in people)
      {
        EmailCoupon(person);
      }
    }

    public void EmailCoupon(Person pPerson)
    {
      //code to send coupon goes here
    }
  }
}