﻿using CodeSamples.Ch10_EstablishFoundation.Listing04;
using CodeSamples.Ch12_RefactorToAdvancedServices.Listing04;
using CodeSamples.Ch12_RefactorToAdvancedServices.Listing06;

namespace CodeSamples.Ch12_RefactorToAdvancedServices.Listing07
{

  public class CouponDistributor
  {

    public void SendCouponToNewUsers(string pFirstName)
    {
      var repo = ServiceLocator.Resolve<IRepository>();
      var people = repo.GetRecentlyJoinedUsers();
      foreach (var person in people)
      {
        EmailCoupon(person);
      }
    }

    public void EmailCoupon(Person pPerson)
    {
      //code to send coupon goes here
    }
  }

}