﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using CodeSamplesUnitTests.AppendixA_VS2012.ListingA1_07;

namespace CodeSamplesUnitTests.AppendixA_VS2012.Listing08
{
  [TestClass]
  public class MyMathTests
  {
    [TestMethod]
    public void Square_Three_ReturnsNine()
    {
      // Arrange
      var target = new MyMath();

      // Act
      var result = target.Square(3);

      // Assert
      Assert.AreEqual(9, result, "Square method is broken");
    }

    [TestMethod]
    [ExpectedException(typeof(OverflowException))]
    public void Square_BigInt_OverflowException()
    {
      // Arrange
      var target = new MyMath();
      // Act
      var result = target.Square(int.MaxValue);
    }


  }

}
