﻿using CodeSamples.Ch03_UnitTesting.Listing4;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace CodeSamples.Ch03_UnitTesting.Listing5
{
  [TestClass]
  public class FinancialFunctionsUnitTest
  {
    [TestMethod]
    public void CalcLoanPayment_Loan1000Int10Pmt360_ReturnsProperPayment()
    {
      //Arrange
      var ex = new FinancialFunctions();

      //Act
      var pmt = ex.CalcLoanPayment(1000, 10, 360);

      //Assert
      Assert.AreEqual(8.78, pmt);
    }
  }
}