﻿using CodeSamples.Ch03_UnitTesting.Listing4;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace CodeSamples.Ch03_UnitTesting.Listing7
{
  [TestClass]
  public class FinancialFunctionsUnitTest
  {
    [TestMethod]
    public void CalcLoanPayment_Loan1000Int10Pmt360_ReturnsPmt()
    {
      //Arrange
      var ex = new FinancialFunctions();

      //Act
      var pmt = ex.CalcLoanPayment(1000, 10, 360);

      //Assert
      Assert.AreEqual(8.78, pmt);
    }


    [TestMethod]
    public void CalcLoanPayment_Loan1000Int5Pmt360_ReturnsPmt()
    {
      //Arrange
      var ex = new FinancialFunctions();

      //Act
      var pmt = ex.CalcLoanPayment(1000, 15, 360);

      //Assert
      Assert.AreEqual(12.64, pmt);
    }

    [TestMethod]
    public void CalcLoanPayment_Loan1000Int10Pmt12_ReturnsPmt()
    {
      //Arrange
      var ex = new FinancialFunctions();

      //Act
      var pmt = ex.CalcLoanPayment(1000, 10, 12);

      //Assert
      Assert.AreEqual(87.92, pmt);
    }

  }
}